local drawableSprite = require("structs.drawable_sprite")

local bravebird = {}


bravebird.name = "JackalHelper/BraveBird"
bravebird.depth = 0
bravebird.placements = {
    name = "default",
    data = {
        waiting = false, 
        spritePath = "characters/bird/",
        launchSpeedX = 380.0,
        launchSpeedY = -100.0,
        particleColor = "639bff",
        skipDistance = 100.0,
        canSkipNode = false,
        toggleZoom = false,
        stressedAtLastNode = true
    }
}

function bravebird.sprite(room, entity)
    return drawableSprite.fromTexture(entity.spritePath .. "Hover04", entity)
end

bravebird.nodeLimits = {0, -1}

bravebird.fieldInformation = {
    particleColor = {
        fieldType = "color"
    }
}

return bravebird